summaryrefslogtreecommitdiff
path: root/tests/misc/wc-files0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/wc-files0')
-rwxr-xr-xtests/misc/wc-files066
1 files changed, 0 insertions, 66 deletions
diff --git a/tests/misc/wc-files0 b/tests/misc/wc-files0
deleted file mode 100755
index 8991e7e..0000000
--- a/tests/misc/wc-files0
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/bin/sh
-# Show that wc's new --files0-from option works.
-
-# Copyright (C) 2006 Free Software Foundation, Inc.
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.
-
-if test "$VERBOSE" = yes; then
- set -x
- wc --version
-fi
-
-. $srcdir/../lang-default
-
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-echo 2 > 2b || framework_failure=1
-echo 2 words > 2w || framework_failure=1
-printf '2b\n2w\n' |tr '\n' '\0' > names || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
-
-fail=0
-
-wc --files0-from=names > out || fail=1
-cat <<\EOF > exp || fail=1
- 1 1 2 2b
- 1 2 8 2w
- 2 3 10 total
-EOF
-
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
-
-if test "$fail" = ''; then
- # Repeat the above test, but read the file name list from stdin.
- rm -f out
- wc --files0-from=- < names > out || fail=1
- cmp out exp || fail=1
- test $fail = 1 && diff out exp 2> /dev/null
-fi
-
-(exit $fail); exit $fail